Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class BuildException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tools.ant.BuildException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BuildTimeoutException, ExitStatusException, UnsupportedAttributeException, UnsupportedElementException

    public class BuildException

extends java.lang.RuntimeException

Signals an error condition during a build

See Also:
  Serialized Form

Constructor Summary
`BuildException()` Constructs a build exception with no descriptive information.
`BuildException(java.lang.String message)` Constructs an exception with the given descriptive message.
`BuildException(java.lang.String message, Location location)` Constructs an exception with the given descriptive message and a location in a file.
`BuildException(java.lang.String message, java.lang.Throwable cause)` Constructs an exception with the given message and exception as a root cause.
`BuildException(java.lang.String msg, java.lang.Throwable cause, Location location)` Constructs an exception with the given message and exception as a root cause and a location in a file.
`BuildException(java.lang.Throwable cause)` Constructs an exception with the given exception as a root cause.
`BuildException(java.lang.Throwable cause, Location location)` Constructs an exception with the given exception as a root cause and a location in a file.

Method Summary
`java.lang.Throwable` | `getException()` Deprecated. Use `Throwable.getCause()` instead.
`Location` | `getLocation()` Returns the file location where the error occurred.
`void` | `setLocation(Location location)` Sets the file location where the error occurred.
`java.lang.String` | `toString()` Returns the location of the error and the error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildException

    public BuildException()

  Constructs a build exception with no descriptive information.

### BuildException

    public BuildException(java.lang.String message)

  Constructs an exception with the given descriptive message.

  Parameters:
    `message` - A description of or information about the exception. Should not be `null`.

### BuildException

    public BuildException(java.lang.String message,
                          java.lang.Throwable cause)

  Constructs an exception with the given message and exception as a root cause.

  Parameters:
    `message` - A description of or information about the exception. Should not be `null` unless a cause is specified.
    `cause` - The exception that might have caused this one. May be `null`.

### BuildException

    public BuildException(java.lang.String msg,
                          java.lang.Throwable cause,
                          Location location)

  Constructs an exception with the given message and exception as a root cause and a location in a file.

  Parameters:
    `msg` - A description of or information about the exception. Should not be `null` unless a cause is specified.
    `cause` - The exception that might have caused this one. May be `null`.
    `location` - The location in the project file where the error occurred. Must not be `null`.

### BuildException

    public BuildException(java.lang.Throwable cause)

  Constructs an exception with the given exception as a root cause.

  Parameters:
    `cause` - The exception that might have caused this one. Should not be `null`.

### BuildException

    public BuildException(java.lang.String message,
                          Location location)

  Constructs an exception with the given descriptive message and a location in a file.

  Parameters:
    `message` - A description of or information about the exception. Should not be `null`.
    `location` - The location in the project file where the error occurred. Must not be `null`.

### BuildException

    public BuildException(java.lang.Throwable cause,
                          Location location)

  Constructs an exception with the given exception as a root cause and a location in a file.

  Parameters:
    `cause` - The exception that might have caused this one. Should not be `null`.
    `location` - The location in the project file where the error occurred. Must not be `null`.

Method Detail

### getException

    public java.lang.Throwable getException()

  Deprecated. Use `Throwable.getCause()` instead.

  Returns the nested exception, if any.

  Returns:
    the nested exception, or `null` if no exception is associated with this one

### toString

    public java.lang.String toString()

  Returns the location of the error and the error message.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the location of the error and the error message

### setLocation

    public void setLocation(Location location)

  Sets the file location where the error occurred.

  Parameters:
    `location` - The file location where the error occurred. Must not be `null`.

### getLocation

    public Location getLocation()

  Returns the file location where the error occurred.

  Returns:
    the file location where the error occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD